scala.tools.nsc.util.ShowPickled

# PickleBufferEntry

#### case class PickleBufferEntry(num: Int, startIndex: Int, tag: Int, bytes: Array[Byte]) extends Product with Serializable

Source
  ShowPickled.scala

Linear Supertypes
Serializable, java.io.Serializable, Product, Equals, AnyRef, Any
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. PickleBufferEntry
2. Serializable
3. Serializable
4. Product
5. Equals
6. AnyRef
7. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new PickleBufferEntry(num: Int, startIndex: Int, tag: Int, bytes: Array[Byte])

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from PickleBufferEntry to any2stringadd[PickleBufferEntry] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd

4. #### def ->[B](y: B): (PickleBufferEntry, B)

   Implicit information
     This member is added by an implicit conversion from PickleBufferEntry to ArrowAssoc[PickleBufferEntry] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

6. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

7. #### val bytes: Array[Byte]

8. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

9. #### def ensuring(cond: (PickleBufferEntry) ⇒ Boolean, msg: ⇒ Any): PickleBufferEntry

   Implicit information
     This member is added by an implicit conversion from PickleBufferEntry to Ensuring[PickleBufferEntry] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring

10. #### def ensuring(cond: (PickleBufferEntry) ⇒ Boolean): PickleBufferEntry

    Implicit information
      This member is added by an implicit conversion from PickleBufferEntry to Ensuring[PickleBufferEntry] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

11. #### def ensuring(cond: Boolean, msg: ⇒ Any): PickleBufferEntry

    Implicit information
      This member is added by an implicit conversion from PickleBufferEntry to Ensuring[PickleBufferEntry] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

12. #### def ensuring(cond: Boolean): PickleBufferEntry

    Implicit information
      This member is added by an implicit conversion from PickleBufferEntry to Ensuring[PickleBufferEntry] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

13. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

14. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

15. #### def formatted(fmtstr: String): String

    Implicit information
      This member is added by an implicit conversion from PickleBufferEntry to StringFormat[PickleBufferEntry] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

16. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

17. #### def hasName: Boolean

18. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

19. #### def isName: Boolean

20. #### def nameIndex: Int

21. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

22. #### final def notify(): Unit

    Definition Classes
      AnyRef

23. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

24. #### val num: Int

25. #### def readName: String

26. #### val startIndex: Int

27. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

28. #### val tag: Int

29. #### def tagName: String

30. #### def toString(): String

    Definition Classes
      PickleBufferEntry → AnyRef → Any

31. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

32. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

33. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

34. #### def →[B](y: B): (PickleBufferEntry, B)

    Implicit information
      This member is added by an implicit conversion from PickleBufferEntry to ArrowAssoc[PickleBufferEntry] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from Serializable

### Inherited from java.io.Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from PickleBufferEntry to any2stringadd[PickleBufferEntry]

### Inherited by implicit conversion StringFormat from PickleBufferEntry to StringFormat[PickleBufferEntry]

### Inherited by implicit conversion Ensuring from PickleBufferEntry to Ensuring[PickleBufferEntry]

### Inherited by implicit conversion ArrowAssoc from PickleBufferEntry to ArrowAssoc[PickleBufferEntry]

### Ungrouped